#include "StdAfx.h"
#include "IECtrlScriptPlugin.h"
#include "ScriptletConstant.h"
#include "NWindowAdapter.h"
#include "XMLUtil.h"
#include "IECtrl.h"

REGISTER_SCRIPTLETCOMPONENTPLUGIN_CREATOR(SCRIPTLET_IECTRL_NODE, CIECtrlScriptPlugin);
CIECtrlScriptPlugin::CIECtrlScriptPlugin(void)
{
}

CIECtrlScriptPlugin::~CIECtrlScriptPlugin(void)
{
}

BOOL CIECtrlScriptPlugin::ModifyComponent(CContainer* pParent, CComponent* pTarget, TiXmlElement* pNode)
{	
	BOOL bSuccess = __super::ModifyComponent(pParent, pTarget, pNode);
	if (bSuccess)
	{
		CIECtrlAdapter* pIECtrl = reinterpret_cast<CIECtrlAdapter*>(pTarget);
		if (pIECtrl == NULL)
		{
			return FALSE;
		}
		TCHAR szValue[SCRIPTLET_MAX_VALUE] = {0};
		
		if (XMLUtil::GetAttrValue(pNode, CT2CA(SCRIPTLET_SOURCE_NODE), szValue, SCRIPTLET_MAX_VALUE) ||
			XMLUtil::GetValueAsAttr(pNode, CT2CA(SCRIPTLET_SOURCE_NODE), szValue, SCRIPTLET_MAX_VALUE))
		{
			pIECtrl->Navigate(szValue);
		}		
	}
	return bSuccess;
}
CComponent* CIECtrlScriptPlugin::_CreateComponent(TiXmlElement* pNode)
{
	CComponent* pComponent = new CIECtrlAdapter;
	return pComponent;
}